use std::net::{SocketAddr, UdpSocket};

pub struct Request {
    socket: UdpSocket,
    address: SocketAddr,
    size: usize,
    buf: [u8; 65_536],
}

impl Request {
    pub fn new(
        socket: &UdpSocket,
        address: SocketAddr,
        size: usize,
        buf: &[u8; 65_536],
    ) -> Request {
        Request {
            socket: socket.try_clone().unwrap(),
            address,
            size,
            buf: buf.clone(),
        }
    }
}

pub fn handler(request: Request) {
    // TODO handle UDP requests
}
